<?php
/** Obalení prvků pole řetězcem a jejich zřetězení
* @param string vloží se mezi prvky
* @param array
* @param string přidá se před každý prvek
* @param string přidá se za každý prvek
* @return string
*/
function implode3($glue, $pieces, $start = "", $end = "") {
	if (!$pieces) {
		return "";
	}
	return $start . implode($end . $glue . $start, $pieces) . $end;
}

// ukázka použití
implode3(", ", $array, "<b>", "</b>");
