<?php
/** Vrácení prvku pole nebo výchozí hodnoty, pokud není nastaven
* @param array
* @param mixed klíč hledaný v poli
* @param mixed hodnota vrácená při nenalezení klíče
* @return mixed existující prvek pole nebo hodnota $default
*/
function arrayDefault($array, $key, $default = null) {
	if (array_key_exists($key, $array)) {
		return $array[$key];
	}
	return $default;
}

// ukázka použití
$search = arrayDefault($_GET, "search", "");
